跳至內容

Kling Video v3 Text to Video [Standard]

整合

模型 id kling-video/v3/standard/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling-video/v3/standard/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: $0.63 630 API 點數 在此頁面執行

取得 API 金鑰
Kling 文字轉影片 原生音訊3–15 秒 #text-to-video

Standard v3 文字轉影片,支援多鏡頭分鏡、原生音訊和 CFG 控制

Kling · 影片

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

88 / 2500

用於生成影片的文字指示。請在 提示詞 或 multi_prompt 中擇一提供。

duration 5 s

輸出影片長度,以秒為單位。

aspect_ratio 預設 16:9

輸出影片中影格的寬高比。

進階 negative_prompt · shot_type · cfg_scale · enable_safety_checker · multi_prompt
0 / 2500
shot_type 預設 customize

選擇多鏡頭生成規劃鏡頭的方式;選取 'intelligent' 會將鏡頭結構交由模型處理。

預設 0.5

使用 CFG(Classifier Free Guidance,無分類器引導)設定生成對提示詞的遵循程度。

提供後會取代單一提示詞、用於建立多鏡頭影片的各鏡頭提示詞與時長。

POST /run/kling-video/v3/standard/text-to-video?wait=20 報價 → $0.63
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling-video/v3/standard/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Kling Video v3 Text to Video [Standard]

根據 `prompt` 或將片段拆分為多個鏡頭的 `multi_prompt` 清單生成影片。`duration` 範圍為 3 至 15 秒,`aspect_ratio` 為 16:9、9:16 或 1:1。原生音訊預設開啟,並可使用 `negative_prompt` 和 `cfg_scale`(0 至 1)。`shot_type` 可設為 customize 或 intelligent。

參數

名稱類型 預設值允許值 說明
enable_safety_checker選填
類型boolean
預設值true
只有經帳戶授權才能停用安全檢查;未經授權的請求一律會接受檢查。
prompt選填
類型string | null
≤ 2,500 個字元
用於生成影片的文字指示。請在 提示詞 或 multi_prompt 中擇一提供。
duration選填
類型enum
預設值5
3456789101112131415
輸出影片長度,以秒為單位。
multi_prompt選填
類型object[]
提供後會取代單一提示詞、用於建立多鏡頭影片的各鏡頭提示詞與時長。
multi_prompt[].prompt必填
類型string
目前鏡頭的文字指示。
multi_prompt[].duration選填
類型enum
預設值5
123456789101112131415
目前鏡頭的長度,以秒為單位。
generate_audio選填
類型boolean
預設值true
原生影片音訊生成切換,支援中文或英文語音,並將其他語言自動翻譯成英文。對於英文語音,縮寫和專有名詞請使用大寫,其餘內容使用小寫。
shot_type選填
類型enum
預設值customize
customizeintelligent
選擇多鏡頭生成規劃鏡頭的方式;選取 'intelligent' 會將鏡頭結構交由模型處理。
aspect_ratio選填
類型enum
預設值16:9
16:99:161:1
輸出影片中影格的寬高比。
negative_prompt選填
類型string
預設值blur, distort, and low quality
≤ 2,500 個字元
cfg_scale選填
類型number
預設值0.5
0 – 1
使用 CFG(Classifier Free Guidance,無分類器引導)設定生成對提示詞的遵循程度。
必填

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling-video/v3/standard/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 630,
    "usd": "0.63",
    "charged": 630,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
video
object {url, content_type, file_name, file_size}模型產生的影片。

更多模型:文字轉影片

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/kling-video/v3/standard/text-to-video.md. 所有模型與指南: https://doitong.com/developers/llms.txt